Bug 818215 - We need the ability to edit the ownership of test cases.
We need the ability to edit the ownership of test cases.
Status: ASSIGNED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity high
: ---
: 4.0
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 09:39 EDT by Jon Allen
Modified: 2016-05-26 09:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Allen 2012-05-02 09:39:15 EDT
Description of problem:
When a testcase owner moves to a different role or leaves the company, we need to assign ownership to another team member. It seems that currently there is no way to accomplish this using the UI.

Version-Release number of selected component (if applicable):
3.6.3

How reproducible:
Very

Steps to Reproduce:
1. Go to Planning -> Search Plans.
2. Type "blittle" into the Owner field and click Search.
3. In the search results, select "RHSM Web"
4. Note that none of the resulting testcases can be edited because they are owned by blittle.
  
Actual results:
There is no way to edit the testcases.

Expected results:
We need a way to edit the testcases.

Additional info:
Comment 1 yawei Li 2012-05-16 04:05:23 EDT
currently normal user has no permission to change author, and can't edit cases owned by others.
You can send mail to tcms-admin-list for changing the author.

In TCMS 4.0, we plan to provide each team's leader can change these info batch.
Comment 2 yawei Li 2012-05-28 02:13:46 EDT
in TCMS 4.0, consider admin changing the authors in batch.

Note You need to log in before you can comment on or make changes to this bug.